Page MenuHomePhabricator

Meeting: Using Sentry for centralized error logging
Closed, ResolvedPublic

Description

Sentry is a tool to collect and aggregate errors. Any kind of error (PHP, Javascript, Python...) can be sent to the Sentry server, and it will display stats and provide rich information about the errors (example error page).

There are several groups to whom a WMF-hosted or self-hosted Sentry instance could be interesting:

  • Labs tool maintainers could use the beta Sentry instance to log errors. This works for web services as well as bots run on Labs (or your own machine, for that matter)
  • People writing javascript code for the WMF production cluster (either as MediaWiki modules or gadgets/site scripts) can use mw.errorLogging to handle errors better (while errors would be reported anyway, manual error reporting can be used to add extra information or improve UX)
  • owners of 3rd party wikis can use Sentry to easily collect PHP + JS errors
  • may be useful for mobile apps / desktop tools?

I'll hold a short presentation/demo about Sentry, then those who are interested can stay for a hacking session. I expect the presentation part will be ~15 mins.

Event Timeline

Tgr created this task.Mar 2 2015, 8:38 PM
Tgr claimed this task.
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 2 2015, 8:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr triaged this task as Normal priority.Apr 3 2015, 7:03 AM

Are you still planning to run this session? If so, we need to know how much time you need, roughly how many participants you expect, and any other requirements/requests that you might have.

Tgr added a comment.May 14 2015, 4:19 PM

Sorry for the slow response. Yes, I would still hold the session if I can. A 30-minute session would be fine - I just want to show the possibilities and give a quick demonstration, I can then work with interested developers 1:1 to set up error logging. Given the general lack of interest on mailing lists when I brought up the subject, I don't expect high participation.

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Tgr renamed this task from Popularize Sentry at Wikimedia Hackathon 2015 to Meeting: Popularize Sentry at Wikimedia Hackathon 2015.May 21 2015, 9:48 PM
Tgr updated the task description. (Show Details)
Tgr set Security to None.
Tgr renamed this task from Meeting: Popularize Sentry at Wikimedia Hackathon 2015 to Meeting: Using Sentry for centralized error logging.May 23 2015, 7:25 AM
Tgr updated the task description. (Show Details)
Tgr updated the task description. (Show Details)May 23 2015, 7:52 AM
Tgr closed this task as Resolved.May 25 2015, 6:49 PM